aboutsummaryrefslogtreecommitdiffstats
path: root/package/boot/uboot-fritz4040/files
diff options
context:
space:
mode:
authorFelix Fietkau <nbd@nbd.name>2017-03-14 10:19:17 +0100
committerJohn Crispin <john@phrozen.org>2017-03-22 09:45:18 +0100
commit5c617aec051de5c9dc788d592931a673d58b053d (patch)
tree048fbdc79c600d95a8cae48251182048c71dc3e4 /package/boot/uboot-fritz4040/files
parent93aa8604052305830ea6801f0b93ffe2f0d55721 (diff)
downloadupstream-5c617aec051de5c9dc788d592931a673d58b053d.tar.gz
upstream-5c617aec051de5c9dc788d592931a673d58b053d.tar.bz2
upstream-5c617aec051de5c9dc788d592931a673d58b053d.zip
uboot-fritz4040: add an ipq806x u-boot for FritzBox 4040
Signed-off-by: Felix Fietkau <nbd@nbd.name>
Diffstat (limited to 'package/boot/uboot-fritz4040/files')
-rwxr-xr-xpackage/boot/uboot-fritz4040/files/upload-to-f4040.sh41
1 files changed, 41 insertions, 0 deletions
diff --git a/package/boot/uboot-fritz4040/files/upload-to-f4040.sh b/package/boot/uboot-fritz4040/files/upload-to-f4040.sh
new file mode 100755
index 0000000000..64f493190e
--- /dev/null
+++ b/package/boot/uboot-fritz4040/files/upload-to-f4040.sh
@@ -0,0 +1,41 @@
+#!/bin/sh
+
+die() {
+ echo $1
+ exit 1
+}
+
+FRITZBOX='192.168.178.1'
+USER='adam2'
+PASSWD='adam2'
+FILE='uboot-fritz4040.bin'
+
+ping -q -4 -w 1 -c 1 "$FRITZBOX" &> /dev/null || die "Fritzbox at $FRITZBOX is not reachable. aborting"
+
+cat << EOS
+
+This will take ages (2 minutes)! If you want a
+status bar: Attach a serial to the device and look there.
+
+Note: If this fails, you need to use AVM\' recover
+utility to get your box back. However this step
+should not damage your box....
+
+Also it doesn't terminate.. :/
+
+(Note: Make sure that you connected the router on
+the yellow LAN ports and not the blue WAN).
+
+EOS
+
+ftp -n -4 "$FRITZBOX" << END_SCRIPT
+quote USER $USER
+quote PASS $PASSWD
+quote MEDIA FLSH
+binary
+passive
+put $FILE mtd1
+quote check mtd1
+bye
+END_SCRIPT
+exit 0